<div class="d-flex flex-row">
    <div class="painting-wrapper" data-toggle="modal" data-target="#paintingInfo" *ngFor="let img of paintings" (click)="selectPainting(img)">
        <img [src]="img.href" [alt]="img.title">
    </div>
</div>

<div class="modal" id="paintingInfo" tabindex="-1">
    <div class="modal-dialog modal-dialog-centered modal-xl">
        <div class="modal-content">
            <div class="modal-body">
                <app-painting [painting]="selectedPainting"></app-painting>
            </div>
        </div>
    </div>
</div>